Zum Hauptinhalt springen
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
groups
Authentifizierungsgruppe für Konto erstellen
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "attributes": {},
  "description": "<string>"
}
'
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "<string>",
  "keycloak_name": "<string>",
  "name": "<string>",
  "attributes": {},
  "description": "<string>",
  "keycloak_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "linked_scopes": [
    {
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_type": "<string>"
    }
  ],
  "parent_id": "<string>",
  "path": "<string>",
  "permission_context": {
    "assigned_bundle_keys": [
      "<string>"
    ],
    "direct_capability_keys": [
      "<string>"
    ],
    "owner_assignments": [
      {
        "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "resolved_capability_keys": [
      "<string>"
    ],
    "status": "active",
    "subject_id": "",
    "subject_type": "unknown"
  },
  "subgroup_ids": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Pfadparameter

account_id
string<uuid>
erforderlich

Body

application/json

Fordern Sie ein Schema zum Erstellen einer neuen Authentifizierungsgruppe an.

account_id
string<uuid>
erforderlich

Owning account für der new account-scoped group

name
string
erforderlich
Required string length: 1 - 255
attributes
Attribute · object
description
string | null

Beschreibung der lokalen Gruppe

Antwort

account_id
string<uuid>
erforderlich
id
string
erforderlich
keycloak_name
string
erforderlich
name
string
erforderlich
attributes
Attribute · object
description
string | null
keycloak_account_id
string<uuid> | null
linked_scopes
GroupScopeLinkResponse · object[]
parent_id
string | null
path
string | null
permission_context
PermissionInspectabilitySnapshot · object

Gemeinsamer Prüfbarkeits-Snapshot für die Benutzer-, Gruppen- und Einladungsverwaltung.

subgroup_ids
string[]